package com.ejie.t17i.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.t17i.dao.TipoViaDao;
import com.ejie.t17i.model.TipoVia;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * <p>
 * Implementaci&oacute;n de servicios de l&oacute:gica de negocio para acceder a la tabla TIPO_VIA de NORA
 * </p> 
XXXX
 * @see com.ejie.t17i.model.TipoVia
 */
@Service(value = "tipoViaService")
public class TipoViaServiceImpl implements TipoViaService {

	@Autowired
	private TipoViaDao tipoViaDao;

	/**
	 * {@inheritDoc}
	 */
	public TipoVia find(final TipoVia tipoVia) {
		return (TipoVia) this.tipoViaDao.find(tipoVia);
	}

	/**
	 * {@inheritDoc}
	 */
	public List<TipoVia> findAll(final TipoVia tipoVia,final JQGridRequestDto jqGridRequestDto) {
		return (List<TipoVia>) this.tipoViaDao.findAll(tipoVia, jqGridRequestDto);
	}

	/**
	 * {@inheritDoc}
	 */
	public Long findAllCount(final TipoVia tipoVia) {
		return this.tipoViaDao.findAllCount(tipoVia);
	}

	/**
	 * {@inheritDoc}
	 */
	public List<TipoVia> findAllLike(final TipoVia tipoVia,final JQGridRequestDto jqGridRequestDto,final Boolean startsWith) {
		return (List<TipoVia>) this.tipoViaDao.findAllLike(tipoVia, jqGridRequestDto,	startsWith);
	}
}
